{
  "name": "data-center-web",
  "version": "0.0.1",
  "description": "",
  "author": "Dusu Wen <wendusu@esvtek.com>",
  "scripts": {
    "test:unit": "jest --clearCache && vue-cli-service test:unit",
    "lint": "eslint --ext .js,.vue src",
    "build:prod": "vue-cli-service build",
    "build:stage": "vue-cli-service build --mode staging",
    "dev": "vue-cli-service serve",
    "dev:mock": "vue-cli-service serve --mode mock",
    "new": "plop",
    "preview": "node build/index.js --preview",
    "svgo": "svgo -f src/icons/svg --config=src/icons/svgo.yml",
    "test:ci": "npm run lint && npm run test:unit",
    "test:unit-reporter": "node src/utils/readJson.js"
  },
  "dependencies": {
    "@antv/g2plot": "^1.1.15",
    "@antv/g6": "^3.5.12",
    "@antv/util": "^2.0.9",
    "@shopify/draggable": "^1.0.0-beta.8",
    "axios": "0.18.1",
    "babel-polyfill": "^6.26.0",
    "core-js": "^3.6.5",
    "driver.js": "0.9.5",
    "echarts": "4.2.1",
    "element-ui": "2.13.0",
    "fuse.js": "^3.6.1",
    "js-cookie": "2.2.0",
    "jsoneditor": "^9.0.3",
    "jsonlint": "1.6.3",
    "lodash": "^4.17.19",
    "md5": "^2.2.1",
    "moment": "^2.27.0",
    "normalize.css": "7.0.0",
    "nprogress": "0.2.0",
    "papaparse": "^5.2.0",
    "path-to-regexp": "2.4.0",
    "print-js": "^1.0.63",
    "screenfull": "^5.0.2",
    "vue": "2.6.10",
    "vue-clipboard2": "^0.3.1",
    "vue-count-to": "1.0.13",
    "vue-json-pretty": "^1.6.5",
    "vue-router": "3.0.2",
    "vue-splitpane": "1.0.4",
    "vuedraggable": "2.20.0",
    "vuex": "3.1.0",
    "xlsx": "0.14.1"
  },
  "devDependencies": {
    "@babel/core": "7.0.0",
    "@babel/register": "7.0.0",
    "@vue/cli-plugin-babel": "^4.4.6",
    "@vue/cli-plugin-eslint": "^4.4.6",
    "@vue/cli-plugin-unit-jest": "^4.4.6",
    "@vue/cli-service": "^4.4.6",
    "@vue/test-utils": "1.0.0-beta.29",
    "autoprefixer": "^9.8.5",
    "babel-core": "7.0.0-bridge.0",
    "babel-eslint": "^10.1.0",
    "babel-jest": "23.6.0",
    "babel-plugin-dynamic-import-node": "^2.3.3",
    "chalk": "2.4.2",
    "chokidar": "2.1.5",
    "connect": "3.6.6",
    "eslint": "^6.7.2",
    "eslint-plugin-vue": "^6.2.2",
    "html-webpack-plugin": "3.2.0",
    "husky": "1.3.1",
    "less-loader": "^6.2.0",
    "lint-staged": "8.1.5",
    "mockjs": "1.0.1-beta3",
    "plop": "2.3.0",
    "runjs": "^4.3.2",
    "sass": "^1.26.10",
    "sass-loader": "^9.0.2",
    "script-ext-html-webpack-plugin": "2.1.3",
    "script-loader": "0.7.2",
    "serve-static": "^1.13.2",
    "svg-sprite-loader": "4.1.3",
    "svgo": "1.2.0",
    "vue-template-compiler": "2.6.10",
    "webpack": "^4.44.0",
    "webpack-dev-server": "^3.11.0"
  },
  "browserslist": [
    "> 1%",
    "last 2 versions"
  ],
  "engines": {
    "node": ">=8.9",
    "npm": ">= 3.0.0"
  },
  "husky": {
    "hooks": {
      "pre-commit": "lint-staged"
    }
  },
  "keywords": [],
  "license": "",
  "lint-staged": {
    "src/**/*.{js,vue}": [
      "eslint --fix",
      "git add"
    ]
  }
}
